/tokenization/tokenCreate Token
Outcome - Creates a new security token on the specified blockchain network. This endpoint uploads the image, stores metadata, and prepares the token for deployment.
multipart/form-data instead of a JSON body.Body Parameters
networkIdnumberrequiredID of the blockchain network where the token will be created
namestringrequiredName of the token
symbolstringrequiredSymbol of the token
ownerAddressstringWallet address that will own the token (can mint and burn for example)
ownerClientIdstringOwner external client ID (can mint and burn for example)
recipientAddressstringWallet address that will initially receive the token
imagefiletoken image file to be uploaded
initialSupplynumberrequiredThe initial supply for the token
typenumberrequiredToken type: 1 for ERC20, 2 for Token
decimalsnumberrequiredDecimals number for the token
idempotencyKeystringIdempotency key to prevent duplicate requests, when you provide the same key in subsequent requests, the second request will return the same token
Responses
Response attributes
idnumberUnique identifier of the created NFT token
networkIdnumberID of the network where the NFT is created
gasStationCategoryIdnumberID of the gas station category
namestringNFT token name
symbolstringNFT token symbol
decimalsnumberNumber of decimals for the token
vaultIdnumberID of the vault
ownerAddressstringWallet address that will own the token (can mint and burn for example)
recipientAddressstringWallet address that will initially receive the token
imagestringURL of the uploaded NFT image
statusstringCurrent deployment status (e.g., PENDING, DEPLOYED)
verificationStatusstringVerification status of the token
configobjectToken configuration including metadataUrl and additional fields
networkobjectNetwork details where the token is created
Show child attributes (11)
idnumberNetwork ID
namestringNetwork name
symbolstringNetwork symbol
createdAtstringNetwork creation timestamp
updatedAtstringNetwork last updated timestamp
typestringNetwork type (PUBLIC/PRIVATE)
statusstringNetwork status
logostringNetwork logo URL
isSwappablebooleanWhether the network supports swapping
categorystringNetwork category
chainobjectChain details
Show child attributes (5)
idnumberChain ID
namestringChain name
nativeCurrencyobjectNative currency details
Show child attributes (3)
namestringCurrency name
symbolstringCurrency symbol
decimalsnumberCurrency decimals
rpcUrlsobjectRPC URLs
Show child attributes (1)
defaultobjectDefault RPC configuration
Show child attributes (2)
httparrayHTTP RPC URLs
webSocketarrayWebSocket RPC URLs
blockExplorersobjectBlock explorer configuration
Show child attributes (1)
defaultobjectDefault block explorer
Show child attributes (3)
namestringExplorer name
urlstringExplorer URL
apiUrlstringExplorer API URL
createdAtstringDate and time when the token was created
updatedAtstringDate and time when the token was last updated
typestringType of the token
verificationStatusstringVerification status of the token
tokenExplorerUrlstringURL of the token explorer
initialSupplystringInitial supply of the token
Was this page helpful?